using System.Runtime.CompilerServices;
using C968Project.Views;

namespace C968Project;

static class Program
{

    public static Inventory Inventory = new();
    public static int PartIdCounter = 2;
    public static int ProductIdCounter = 1;

    private static Part _testInhousePart = new Inhouse()
    {
        Name = "Inhouse part",
        Min = 0,
        Max = 100,
        Price = 10,
        InStock = 50,
        PartID = 0,
        MachineID = 2
    };
    private static Part _testOutsourcedPart = new Outsourced()
    {
        Name = "Outsourced part",
        Min = 10,
        Max = 100,
        Price = 5,
        InStock = 21,
        PartID = 1,
        CompanyName = "Chem Inc."
    };

    private static Product _testProduct = new Product()
    {
        Name = "Product",
        InStock = 500,
        Max = 4000,
        Min = 2,
        Price = 5.45f,
        ProductId = 0,
    };

    /// <summary>
    ///  The main entry point for the application.
    /// </summary>
    [STAThread]
    static void Main()
    {
        Inventory.AddPart(_testOutsourcedPart);
        Inventory.AddPart(_testInhousePart);
        Inventory.AddProduct(_testProduct);
        Inventory.Products[0].AddAssociatedPart(Inventory.Parts[0]);

        // To customize application configuration such as set high DPI settings or default font,
        // see https://aka.ms/applicationconfiguration.
        ApplicationConfiguration.Initialize();
        Application.Run(new MainScreen());
    }
}

public enum ScreenOption
{
    ADD,
    MODIFY
}